package football

import (
	"git.lehouerou.net/laurent/sorare/graphql"
	"git.lehouerou.net/laurent/sorare/types"
)

type RivalsDraftableObject struct {
	Id       graphql.Id `graphql:"id"`
	CapValue float64    `graphql:"capValue"`
	Player   struct {
		Slug       string `graphql:"slug"`
		ActiveClub struct {
			Slug string `graphql:"slug"`
		}
		ActiveNationalTeam struct {
			Slug string `graphql:"slug"`
		}
	} `graphql:"player"`
	Position types.Position `graphql:"position"`
}

type RivalsGame struct {
	Id               graphql.Id              `graphql:"id"`
	Slug             string                  `graphql:"slug"`
	Cap              int                     `graphql:"cap"`
	DraftablePlayers []RivalsDraftableObject `graphql:"draftablePlayers"`
	FormationKnown   bool                    `graphql:"formationKnown"`
	Game             struct {
		Id graphql.Id `graphql:"id"`
	} `graphql:"game"`
}
